package ch.hepia;

import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.JsonNode;
import com.mashape.unirest.http.Unirest;
import com.mashape.unirest.http.exceptions.UnirestException;
import org.json.JSONArray;


public class App {

    public static void main(String[] args) {

        try {

            String url = "http://transport.opendata.ch/v1/";
            String stationBoardRoute = url + "stationboard";
            HttpResponse<JsonNode> stationBoard = Unirest.get(stationBoardRoute)
                    .queryString("station", "Genève")
                    .queryString("limit", "20")
                    .asJson();

            JSONArray departures = stationBoard.getBody().getObject().getJSONArray("stationboard");
            //System.out.println(departures.toString(2));

            for(int i = 0; i < departures.length(); i++) {
                System.out.print( departures.getJSONObject(i).getString("number") + " - ");
                System.out.println( departures.getJSONObject(i).getString("operator") );
            }

        } catch (UnirestException e) {
            e.printStackTrace();
        }

    }

}
